routes/web.php
<?php

Route::view('example','example.index');
Route::view('example/create','example.create');

// ROUTE WEB-PROFILE
Route::view('/','welcome');
Route::resource('attention','AttentionController');
Route::prefix('admin')->middleware('auth')->group(function(){
    Route::view('/','pages.other.dashboard')->name('admin');
    Route::resource('setting','SettingController');
    Route::resource('major','MajorController');
    Route::resource('school_year', 'SchoolYearController');
    Route::resource('subject','SubjectController');
    Route::resource('bill', 'BillController');
    Route::resource('bill_filter', 'BillFilterController');
    Route::resource('classgroup','ClassGroupController');
    Route::resource('video','VideoController');
    Route::resource('teacher', 'TeacherController');
    Route::resource('eskul', 'EskulController');
    Route::resource('student','StudentController');
    Route::resource('banner','BannerController');
    Route::resource('categorytype','CategoryTypeController');
    Route::resource('publisher','PublisherController');
    Route::resource('author','AuthorController');
    Route::resource('student','StudentController');
    Route::resource('book','BookController');
    Route::resource('book_category','BookCategoryController');

    Route::resource('employee','EmployeeController');
    Route::resource('attitude','AttitudeController');

    Route::resource('absent','AbsentController');
    Route::post('/input_absen','AbsentController@input_absen')->name('input_absen');
    Route::post('/data_absen','AbsentController@data_absen')->name('data_absen');

    Route::resource('schedule','ScheduleController');

    Route::resource('article','ArticleController');
    Route::resource('prestation','PrestationController');
    Route::resource('borrow_type','BorrowTypeController');
    Route::resource('book_borrow','BookBorrowController');
    Route::resource('uks','UksController');
    Route::resource('task', 'TaskController');
    Route::resource('examtype', 'ExamTypeController');
    Route::group(['prefix' => 'user'], function() {
        Route::view('/', 'pages.user.index');
    });
    Route::group(['prefix'=>'book_borrow'],function() {
        Route::get('next/{nis}','BookBorrowController@next')->name('book_borrow.next');
        Route::get('delete/{id}','BookBorrowController@destroy')->name('book_borrow.deletes');
    });
    Route::resource('attitude','AttitudeController');
});


Route::prefix('student')->middleware('student')->group(function(){
    Route::get('logout','StudentAuth\LoginController@logout')->name('student.logout');
    Route::middleware('student')->group(function(){
        Route::get('/','StudentController@dashboard')->name('student.dashboard');
        Route::resource('notes','NotesController');
        Route::get('attention','AttentionController@student_attention')->name('student.attention');
        Route::get('task','TaskController@student_task')->name('student.task');
        Route::get('absent','AbsentController@student_index')->name('student.absent');
        Route::post('absent/filter','AbsentController@student_filter')->name(
            'student.absent.filter');
    });
});

Route::prefix('teacher')->middleware('teacher')->group(function(){
    Route::view('/','pages.teacher.dashboard');
    // SUBJECT BAB
    Route::resource('subjectbab','SubjectBabController');
    Route::get('storebab','SubjectBabController@storeBab')->name('teacher.storebab');
    Route::post('insertbab','SubjectBabController@insertbab')->name('teacher.insertbab');

    // QUESTION BANK
    Route::resource('qbank','QuestionBankController');

    Route::resource('document','DocumentController');

    Route::resource('attitudeTransaction','attitudeTransactionController');

    Route::get('setting','QuestionBankController@addSetting')->name('teacher.setting');
    Route::post('addquestion','QuestionBankController@addQuestion')->name('teacher.addquestion');

    // EXAM MANAGE
    Route::resource('exam_manage','ExamManageController');
    Route::get('choose_question/{id}/{subject_id}','ExamManageController@choose_question')->name('teacher.choose_question');

    // Task
    Route::resource('task', 'TaskController');

    // Score
    Route::resource('score', 'ScoreController');
});



Auth::routes();
//Credentials
Route::get('student/login','StudentAuth\LoginController@showLoginForm')->name('student.login.form');
Route::get('teacher/login','TeacherAuth\LoginController@showLoginForm')->name('teacher.login.form');
Route::post('student/login','StudentAuth\LoginController@login')->name('student.login.store');
Route::post('teacher/login','TeacherAuth\LoginController@login')->name('teacher.login.store');
Route::post('teacher/logout','TeacherAuth\LoginController@logout')->name('teacher.logout');
Route::post('student/logout','StudentAuth\LoginController@logout')->name('student.logout');
Route::get('/home', 'HomeController@index')->name('home');

app/Document.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Document extends Model
{
    protected $fillable = ['name','content','type','file','status','teacher_id','matpel_id'];

    public function teacher()
    {
    	return $this->hasOne('App\Teacher','id','teacher_id');
    }

    public function subject()
    {
    	return $this->hasOne('App\Subject','id','matpel_id');
    }
}

app/Http/Controllers/DocumentController.php
<?php

namespace App\Http\Controllers;

use App\Document;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Teacher;
use App\Subject;
use Storage;

class DocumentController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $document = Document::latest()->get();
        return view('pages.document.index',compact('document'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $teacher = Teacher::latest()->get();
        $matpel = Subject::latest()->get();
        return view('pages.document.create',compact('teacher','matpel'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request,[
            'name' => 'required|string',
            'content' => 'required|string',
            'file' => 'required|max:2048',
            'type' => 'required',
            'status' => 'required',
        ]);



        if ($request->type == "embed") {
            $file = new Document($request->all());
            $file->save();   
        } else {
            $file = new Document($request->all());
            $file->file = $request->file('file')->store('web_profile/file');
            $file->save();
        }

        return redirect()->route('document.index')->with('message', 'File berhasil ditambahkan');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Document  $document
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $details = Document::where('id',$id)->first();
        $extension = $details->file;
        $tmp       = explode('.',$extension);
        $ext       = end($tmp);
        return view('pages.document.show', compact('details','ext'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Document  $document
     * @return \Illuminate\Http\Response
     */
    public function edit(Document $document)
    {
         $file = $document->image;
            $tmp = explode('.',$file);
            $ext = end($tmp);
            return view('pages.document.edit', [
                'edit'=>$document,
                'kategori' => Document::all(),
                'ext'=>$ext,
            ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Document  $document
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Document $document)
    {
         $this->validate($request, [
            'name'=>'required',
            'content'=>'required',
        ]);
        
        if ($request->hasFile('file')) 
        {
            $object = Document::find($document->id);
            Storage::delete($object->file);
            $object->file = $request->file('file')->store('web_profile/file');
             $object->name = $request->input('name');
             $object->content = $request->input('content');
            $object->save();
        } else {
            Document::find($document->id)->update($request->except('teacher_id','matpel_id','file','_token','_method'));
        }

        return redirect()->route('document.index')->with('message','Update Success');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Document  $document
     * @return \Illuminate\Http\Response
     */
    public function destroy(Document $document)
    {
         if ($document->type == "local") {
            unlink(public_path('app/').$document->file);
            $document->delete();
        } else {
            $document->delete();
        }
        return redirect()->route('document.index')->with('message','Menghapus');
    }
}

resources/views/pages/document/create.blade.php
@extends('templates.main')

@section('title','Document')
@section('page_name','Document')
@section('breadcrumb')
<li class="breadcrumb-item"><a href="">Data Master</a></li>
<li class="breadcrumb-item"><a href="">Pembelajran</a></li>
<li class="breadcrumb-item"><a href="">Document</a></li>
@endsection

@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header"><h5>Document</h5><a href="" class="btn btn-dark text-right"><i class="fas fa-arrow-left"></i>Kembali</a></div>
            <div class="card-body">
                <form action="{{ route('document.store') }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="form-group">
                        <label for="">Nama</label>
                        <input type="text" class="form-control" name="name">
                    </div>

                     <div class="form-group">
                        <label for="">Kontent</label>
                        <input type="text" class="form-control" name="content">
                    </div>
					
					  <div class="form-group">
                        <label for="Type">Type</label>
                        <select name="type" id="type" class="select2">
                            <option value="#">Pilih Tipe</option>
                            <option value="local">Local</option>
                            <option value="embed">Embed</option>
                        </select>
                    </div>

                    <div class="form-group form-file">
                        <label for="">Local</label>
                        <input type="file" class="dropify" name="file">
                    </div>
                    <div class="form-group form-embed">
                        <label for="">Embed</label>
                        <input type="text" class="form-control" placeholder="https://www.youtube.com/embed/CacPltdpmrI" name="file">
                    </div>

                     <div class="form-group">
                        <label for="">Status</label>
                        <select id="" class="select2" name="status">
                            <option value="publish">publish</option>
                            <option value="draft">draft</option>
                        </select>
                    </div>

                    <div class="form-group">
                        <label for="teacher_id">Guru</label>
                        <select name="teacher_id" id="" class="select2">
                            @foreach($teacher as $field)
                            <option value="{{ $field->id }}">{{ $field->name }}</option>
                            @endforeach
                        </select>
                    </div>

                     <div class="form-group">
                        <label for="matpel_id">Mata Pelajaran</label>
                        <select name="matpel_id" id="" class="select2">
                            @foreach($matpel as $field)
                            <option value="{{ $field->id }}">{{ $field->name }}</option>
                            @endforeach
                        </select>
                    </div>
                    
                    <button class="btn btn-primary">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
<script>
    $(document).ready(function(){
        $('.form-embed').hide();
        $('.form-file').hide();
        $('#type').change(function(){
            if($(this).val()=="embed")
            {
                $('.form-embed').show();
                $('.form-file').hide();
            }else if($(this).val()=="local"){
                $('.form-embed').hide();
                $('.form-file').show();
            }else{
                $('.form-embed').hide();
                $('.form-file').hide();
            }
        });
    });
</script>
@endsection

resources/views/pages/document/edit.blade.php
@extends('templates.main')

@section('title','Video Edit')
@section('page_name','Video Edit')
@section('breadcrumb')
<li class="breadcrumb-item"><a href="">Dashboard</a></li>
<li class="breadcrumb-item"><a href="{{ route('document.index') }}">document</a></li>
<li class="breadcrumb-item"><a href="{{ route('document.edit',$edit->id) }}">document Edit</a></li>
@endsection

@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header"><h5>Title</h5><a href="{{ route('document.index') }}" class="btn btn-dark text-right"><i class="fas fa-arrow-left"></i>Kembali</a></div>
            <div class="card-body">
                <form action="{{ route('document.update',$edit->id) }}" method="POST" enctype="multipart/form-data">
                    @csrf @method('patch')
                    <div class="form-group">
                        <label for="title">Nama Materi</label>
                        <input type="text" class="form-control" autocomplete="" name="name" id="title" value="{{ $edit->name }}">
                    </div>

                     <div class="form-group">
                        <label for="title">Nama Mata Pelajaran</label>
                        <input type="text" class="form-control" readonly="" name="matpel_id" id="title" value="{{ $edit->subject->name }}">
                    </div>

                      <div class="form-group">
                        <label for="title">Nama Guru</label>
                        <input type="text" class="form-control" readonly="" name="teacher_id" id="title" value="{{ $edit->teacher->name }}">
                    </div>

                    <div class="form-group">
                        <label for="content">Konten</label>
                         <input type="text" class="form-control" name="content" id="title" value="{{ $edit->content }}">
                    </div>

                    <div class="form-group">
                        <label for="Type">Type</label>
                        <p style="color: red;font-size: 12px;font-weight: bold">*Hanya bisa diganti dengan tipe yang sama*</p>
                        <select name="type" id="type" class="select2" style="display: none;">
                            @if($edit->type == "local")
                                <option value="">Pilih Tipe</option>
                                <option value="local" selected>Local</option>
                            @elseif($edit->type == "embed")
                                <option value="">Pilih Tipe</option>
                                <option value="embed" selected>Embed</option>
                            @endif
                        </select>
                    </div>

                    @if($edit->type == "local")
                    <div class="form-group form-file">
                        <label for="">Local</label>
                        <input type="file" class="dropify" data-allowed-file-extensions="pdf" name="file" data-default-file="{{ asset('app/'.$edit->file) }}">
                    </div>
                    @elseif($edit->type == "embed")
                    <div class="form-group form-embed">
                        <label for="">Embed</label>
                        <input type="text" class="form-control" placeholder="https://www.youtube.com/embed/CacPltdpmrI?list=RDCacPltdpmrI" name="file" value="{{ $edit->file }}">
                    </div>
                    @endif

                   

                    <button class="btn btn-primary" type="submit">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
<!-- <script>
    $(document).ready(function(){
        $('.form-embed').hide();
        $('.form-file').hide();
        $('.form-dropify').hide();
        $('#type').change(function(){
            if($(this).val()=="embed")
            {
                $('.form-embed').show();
                $('.form-file').hide();
            }else if($(this).val()=="local"){
                $('.form-embed').hide();
                $('.form-dropify').show();
            }else{
                $('.form-embed').hide();
                $('.form-file').hide();
            }
        });
    });
</script> -->
@endsection
    

resources/views/pages/document/index.blade.php
@extends('templates.main')

@section('title', 'Document')
@section('page_name', 'Document')
@section('breadcrumb')

    <li class="breadcrumb-item"><a href="">Dashboard</a></li>
    <li class="breadcrumb-item"><a href="">Document</a></li>
    
@endsection

@section('content')
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header"><h5>Tabel Document</h5><a href="{{ route('document.create') }}" class="btn btn-primary"><i class="fas fa-plus"></i>Tambah Data </a></div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-striped table-bordered data-table">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>Nama</th>
                            <th>Konten</th>
                            <th>Tipe</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($document as $show)
                       <tr>
                           <td>1</td>
                           <td>{{$show->name}}</td>
                           <td>{{$show->content}}</td>
                           <td>{{$show->type}}</td>
                           <td class="text-center">
                            <div class="btn-group">
                                <a href="{{ route('document.destroy',$show->id) }}" class="btn btn-sm btn-danger delete-btn"><i class="mr-0 fa fa-trash"></i></a>
                                <a href="{{ route('document.edit',$show) }}" class="btn btn-sm btn-info"><i class="mr-0 fa fa-pen"></i></a>
                                <a href="{{ route('document.show',$show->id) }}" class="btn btn-info"><i class="mr-0 fa fa-eye"></i></a>
                            </div>
                            </td>
                       </tr>
                       @endforeach
                    </tbody>
                </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/pages/document/show.blade.php
@extends('templates.main')

@section('title', 'Document')
@section('page_name', 'Document')
@section('breadcrumb')

    <li class="breadcrumb-item"><a href="">Dashboard</a></li>
    <li class="breadcrumb-item"><a href="">Document</a></li>
    
@endsection

@section('content')

        <div class="container  pull-up">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                     <div class="card-header"><h5>Kembali</h5><a href="{{ route('document.index') }}" class="btn btn-primary"><i class="fas fa-reply-all"></i></a></div>
                        <div class="card-body">
                            <h3 align="center">Document Details</h3>
                            <hr>

                            <div class="col-md-8">
                            	<table cellpadding="10" cellspacing="0">
                            		<thead>
	                            		<tr>
	                            			<td>Nama Document</td>
	                            			<td>:</td>
	                            			<td>{{ $details->name }}</td>
	                            		</tr>
                                        <tr>
                                            <td>Nama Guru</td>
                                            <td>:</td>
                                            <td>{{ $details->teacher->name }}</td>
                                        </tr>
                                         <tr>
                                            <td>Nama Mata Pelajaran</td>
                                            <td>:</td>
                                            <td>{{ $details->subject->name }}</td>
                                        </tr>
	                            	</thead>	
                            	</table>
                            </div>
                            <div class="col-md-12">
                            	<div class="card">
                            		<div class="card-header">Document Pembelajaran</div>
                            		<div class="card-body">
                            			@if($ext == "png" or $ext == "jpg" or $ext == "jpeg")
											<img src="{{ asset('app/'.$details->file) }}" alt="">
		                            	@elseif($ext == "pdf")
											<embed src="{{ asset('app/'.$details->file) }}" width="100%" height="100%" type='application/pdf'>
		                            	@elseif($ext == "mp4" or $ext == "MP4")
		                            		<video width="100%" height="100%" controls="">
		                            			<source src="{{ asset('app/'.$details->file) }}" type="video/mp4">
		                            		</video>
                                        @else
                                            <input type="text" class="form-control" readonly value="{{$details->file}}">
		                            	@endif
                            		</div>
                            	</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
	
	

@endsection